:root {
    --nb-search-icon-4-search-btn-font-size: var(--nb-font-size-16);
    --nb-search-icon-4-search-btn-font-weight: var(--nb-font-regular);
    --nb-search-icon-4-search-btn-color: var(--nb-color-white);
    --nb-search-icon-4-search-btn-border-color: var(--nb-color-white);
    --nb-search-icon-4-search-btn-bg: var(--nb-color-black);
    --nb-search-icon-4-search-btn-hover-color: var(--nb-btn-primary-hover-color);
    --nb-search-icon-4-search-btn-hover-bg: var(--nb-btn-primary-hover-bg);
}

.nb-search-icon-4 .nb-search-input-wrapper {
    display: flex;
    align-items: center;
    position: relative;
}

.nb-search-icon-4 .nb-search-input-wrapper .nb-search-input {
    border: var(--nb-border-width) var(--nb-border-style) var(--nb-input-border-color);
    font-size: var(--nb-font-size-16);
    color: var(--nb-input-placeholder-color);
    background-color: var(--nb-color-white);
    display: flex;
    align-items: center;
    padding: 0 12px;
    height: 48px;
    cursor: pointer;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    min-width: 545px;
}

.nb-search-icon-4 .nb-search-input-wrapper .nb-view-search-btn {
    font-size: var(--nb-search-icon-4-search-btn-font-size);
    font-weight: var(--nb-search-icon-4-search-btn-font-weight);
    color: var(--nb-search-icon-4-search-btn-color);
    background-color: var(--nb-search-icon-4-search-btn-bg);
    border: var(--nb-border-width) var(--nb-border-style) var(--nb-search-icon-4-search-btn-border-color);
    border-radius: unset;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 120px;
    gap: 12px;
}

.nb-search-icon-4 .nb-search-input-wrapper .nb-view-search-btn:hover {
    color: var(--nb-search-icon-4-search-btn-hover-color);
    background-color: var(--nb-search-icon-4-search-btn-hover-bg);
}

.nb-search-icon-4 .nb-close-search {
    display: none;
}

@media screen and (max-width: 991px) {
    .nb-search-icon-4 {
        display: flex;
        align-items: center;
        gap: 20px;
    }

    .nb-search-icon-4 .nb-search-input-wrapper {
        flex: 1;
    }

    .nb-search-icon-4 .nb-search-input-wrapper .nb-view-search-btn {
        min-width: 48px;
    }

    .nb-search-icon-4 .nb-view-search-btn .btn-text {
        display: none;
    }

    .nb-search-icon-4 .nb-close-search {
        display: block;
    }

    .nb-search-icon-4 .nb-search-input-wrapper .nb-search-input {
        min-width: calc(100% - 48px);
    }
}